package cn.com.qmth.stmms.biz.report.query;

import cn.com.qmth.stmms.biz.common.BaseQuery;
import cn.com.qmth.stmms.biz.report.model.ReportSubject;

/**
 * 课程报表查询query
 *
 * @author xuwenjin
 * @Date 2019-04-12 18:01
 */
public class ReportSubjectQuery extends BaseQuery<ReportSubject> {

    private Integer examId;

    private String subjectCode;

    private String teacherName;

    private String className;

    private String collegeName;

    private int groupNumber;

    private Integer mainNumber;

    private String subNumber;

    private Boolean objective;

    private String paperType;

    private Boolean nullPaperType;

    private String subjectCodeIn;

    private Double range;

    public Integer getExamId() {
        return examId;
    }

    public void setExamId(Integer examId) {
        this.examId = examId;
    }

    public String getSubjectCode() {
        return subjectCode;
    }

    public void setSubjectCode(String subjectCode) {
        this.subjectCode = subjectCode;
    }

    public String getTeacherName() {
        return teacherName;
    }

    public void setTeacherName(String teacherName) {
        this.teacherName = teacherName;
    }

    public String getClassName() {
        return className;
    }

    public void setClassName(String className) {
        this.className = className;
    }

    public String getCollegeName() {
        return collegeName;
    }

    public void setCollegeName(String collegeName) {
        this.collegeName = collegeName;
    }

    public int getGroupNumber() {
        return groupNumber;
    }

    public void setGroupNumber(int groupNumber) {
        this.groupNumber = groupNumber;
    }

    public Boolean getObjective() {
        return objective;
    }

    public void setObjective(Boolean objective) {
        this.objective = objective;
    }

    public Integer getMainNumber() {
        return mainNumber;
    }

    public void setMainNumber(Integer mainNumber) {
        this.mainNumber = mainNumber;
    }

    public String getSubNumber() {
        return subNumber;
    }

    public void setSubNumber(String subNumber) {
        this.subNumber = subNumber;
    }

    public String getPaperType() {
        return paperType;
    }

    public void setPaperType(String paperType) {
        this.paperType = paperType;
    }

    public Boolean getNullPaperType() {
        return nullPaperType;
    }

    public void setNullPaperType(Boolean nullPaperType) {
        this.nullPaperType = nullPaperType;
    }

    public String getSubjectCodeIn() {
        return subjectCodeIn;
    }

    public void setSubjectCodeIn(String subjectCodeIn) {
        this.subjectCodeIn = subjectCodeIn;
    }

    public Double getRange() {
        return range;
    }

    public void setRange(Double range) {
        this.range = range;
    }

}
